Bug Hunting Session
Bug 88045 - "Edit" button near drop-down lists in paragraph style properties for selection of Numbering Style
Summary: "Edit" button near drop-down lists in paragraph style properties for selectio...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Heena Gupta
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-05 10:09 UTC by Heena Gupta
Modified: 2015-04-09 09:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Missing Edit Button For Numbering Style in Edit Paragraph Style (39.31 KB, image/png)
2015-01-05 10:09 UTC, Heena Gupta
Details
Screenshot of the Expected Behaviour (40.96 KB, image/png)
2015-01-05 10:13 UTC, Heena Gupta
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heena Gupta 2015-01-05 10:09:06 UTC
Created attachment 111758 [details]
Missing Edit Button For Numbering Style in Edit Paragraph Style

Steps:-

1) Open the Document in writer
2) Right Click on the document -> "Edit Paragraph Style"
3) Dialog appears
4) Click on "Outline & Numbering" button 
5) No "Edit" button for Numbering Style drop-down list to open selected style properties for editing

Expected Behaviour:- "Edit" button for Numbering Style drop-down list so that user can edit selected style
Comment 1 Heena Gupta 2015-01-05 10:13:06 UTC
Created attachment 111759 [details]
Screenshot of the Expected Behaviour
Comment 2 Heena Gupta 2015-01-08 06:22:00 UTC
Link to the patch:-
https://gerrit.libreoffice.org/#/c/13740/
Comment 3 A (Andy) 2015-04-07 07:58:10 UTC
I think this sounds good/reasonable.  
In the long run I hope it will also be possible to amend the default bullets type easily (I mean change the colour and size), but of course this is something totally different and not related to the reported issue here.
Comment 4 Commit Notification 2015-04-09 09:18:03 UTC
Heena Gupta committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e38f63d861715fb56f41af82b897c2128ea20b38

fdo#88045-Edit Button for Numbering Style in Edit Paragraph Style

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-04-09 09:36:36 UTC
Heena Gupta committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=704d946cdc56b6d3188b2ae49d20778b78aac8b2

Relate: tdf#88045 Edit Numbering Style Button is nonclickable for None Entry

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.